<template>
  <div>
    <v-card class="bt-4">
      <v-card-title>
        รูปภาพใบเสร็จรับเงิน
        <v-spacer></v-spacer>
        <v-text-field
          v-model="search"
          append-icon="mdi-magnify"
          label="ค้นหา"
          single-line
          hide-details
        ></v-text-field>
      </v-card-title>
      <v-data-table
        :headers="headers"
        :items="itemUnit"
        :items-per-page="20"
        :search="search"
        :sort-by.sync="sortBy"
        :sort-desc.sync="sortDesc"
      >
        <template #item.action="{ item }">
          <v-tooltip bottom>
            <template v-slot:activator="{ on, attrs }">
              <v-btn
                class="mr-1 mb-2"
                color="orange darken-3"
                v-bind="attrs"
                v-on="on"
                @click="coplyLink(item.link)"
                small
                dark
              >
                <v-icon icon small dark> mdi-content-copy </v-icon>
              </v-btn>
            </template>
            <span>คัดลอก</span>
          </v-tooltip>
          <v-tooltip bottom>
            <template v-slot:activator="{ on, attrs }">
              <v-btn
                class="mr-1 mb-2"
                color="green darken-2"
                v-bind="attrs"
                v-on="on"
                :href="item.link"
                target="_blank"
                small
                dark
              >
                <v-icon icon small dark> mdi-image-search</v-icon>
              </v-btn>
            </template>
            <span>เปิดดูรูป</span>
          </v-tooltip>
          <v-tooltip bottom>
            <template v-slot:activator="{ on, attrs }">
              <v-btn
                class="mr-1 mb-2"
                color="red darken-2"
                v-bind="attrs"
                v-on="on"
                small
                dark
                @click="handleDeldata(item.name)"
              >
                <v-icon small> mdi-delete </v-icon>
              </v-btn>
            </template>
            <span>ลบ</span>
          </v-tooltip>
        </template>
      </v-data-table>
    </v-card>
  </div>
</template>
<script>

import Swal from 'sweetalert2'
import getImage from '@/mixins/getImage'

export default {
  mixins: [getImage],
  components: {},
  data() {
    return {
      search: '',
      sortBy: ['name'],
      sortDesc: true,
      headers: [
        {
          text: 'ชื่อ',
          value: 'name',
          class: 'subtitle-2 font-weight-bold',
        },
        {
          text: 'เครื่องมือ',
          align: 'center',
          value: 'action',
          width: '30%',
          sortable: false,
          class: 'subtitle-2 font-weight-bold ',
        },
      ],
    }
  },
  computed: {},
  mounted() {},
  methods: {
    async coplyLink(text) {
      try {
        await this.$copyText(text)
      } catch (e) {
        console.error(e)
      }
    },
    handleDeldata(val) {
      //ลบ 1 (TableForm)ลบข้อมูล
      Swal.fire({
        title: 'คุณแน่ใจหรือไม่',
        text: 'คุณต้องการลบรูปนี้',
        icon: 'warning',
        showCancelButton: true,
        cancelButtonColor: '#0288D1',
        confirmButtonColor: '#D32F2F',
        cancelButtonText: 'ยกเลิก',
        confirmButtonText: 'ใช่, ลบรูป',
      }).then((result) => {
        if (result.isConfirmed) {
          //ลบ 1 (TableForm) dispatch พร้อม parameter "val" ไปยัง Fnc ลบรูป
          this.$store.dispatch('delImage', val).then(() => {
            Swal.fire('ลบรูป', 'คุณได้ลบรูปเรียบร้อยแล้ว', 'success')
          })
        }
      })
    },
  },
}
</script>
<style scoped></style>
